Advisory Details

June 16th, 2022

SAP 3D Visual Enterprise Viewer PDF File Parsing Out-Of-Bounds Read Remote Code Execution Vulnerability

ZDI-22-857
ZDI-CAN-14733

CVE ID CVE-2022-26109
CVSS SCORE 7.8, (AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS SAP
AFFECTED PRODUCTS 3D Visual Enterprise Viewer
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of SAP 3D Visual Enterprise Viewer. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the processing of PDF files. The issue results from the lack of proper validation of user-supplied data, which can result in a read past the end of an allocated buffer. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS SAP has issued an update to correct this vulnerability. More details can be found at:
https://dam.sap.com/mac/app/e/pdf/preview/embed/ucQrx6G?ltr=a&rc=10
DISCLOSURE TIMELINE
  • 2021-12-03 - Vulnerability reported to vendor
  • 2022-06-16 - Coordinated public release of advisory
CREDIT Jaanus Kääp, Clarified Security
BACK TO ADVISORIES